package mtVicunaSimple::Plugin;

use strict;
use MT 4;

sub tag_index_style {
    my ( $ctx, $args ) = @_;
    my $plugin = MT->component("mtVicunaSimple");
    my $scope = "blog:".$ctx->stash('blog_id');
    my $style = $plugin->get_config_value('index_style',$scope) || 'default';
    return $style;
}

sub tag_entry_style {
    my ( $ctx, $args ) = @_;
    my $plugin = MT->component("mtVicunaSimple");
    my $scope = "blog:".$ctx->stash('blog_id');
    my $style = $plugin->get_config_value('entry_style',$scope) || 'default';
    return $style;
}

sub tag_monthly_style {
    my ( $ctx, $args ) = @_;
    my $plugin = MT->component("mtVicunaSimple");
    my $scope = "blog:".$ctx->stash('blog_id');
    my $style = $plugin->get_config_value('monthly_style',$scope) || 'default';
    return $style;
}

sub tag_category_style {
    my ( $ctx, $args ) = @_;
    my $plugin = MT->component("mtVicunaSimple");
    my $scope = "blog:".$ctx->stash('blog_id');
    my $style = $plugin->get_config_value('category_style',$scope) || 'default';
    return $style;
}

sub tag_eyecatch {
    my ( $ctx, $args ) = @_;
    my $plugin = MT->component("mtVicunaSimple");
    my $scope = "blog:".$ctx->stash('blog_id');
    my $style = $plugin->get_config_value('eyecatch_style',$scope) || 'eye-h';
    return $style;
}

sub tag_fixed_width {
    my ( $ctx, $args ) = @_;
    my $plugin = MT->component("mtVicunaSimple");
    my $scope = "blog:".$ctx->stash('blog_id');
    my $width = $plugin->get_config_value('fixed_width',$scope) || 'none';
    if ($width == 'none') {
        return '';
    } else {
        return $width;
    }
}

sub tag_cloud_style {
    my ( $ctx, $args ) = @_;
    my $plugin = MT->component("mtVicunaSimple");
    my $scope = "blog:".$ctx->stash('blog_id');
    my $style = $plugin->get_config_value('cloud_style',$scope) || 'none';
    if ($style == 'none') {
        return '';
    } else {
        return 'tagCloud'.$style.'.css';
    }
}

sub if_nav_on_top {
    my ( $ctx, $args, $cond ) = @_;
    my $plugin = MT->component("mtVicunaSimple");
    my $scope = "blog:".$ctx->stash('blog_id');
    my $ontop = $plugin->get_config_value('navi_on_top',$scope) || 0;
    return $ontop;
}

sub if_left_align {
    my ( $ctx, $args, $cond ) = @_;
    my $plugin = MT->component("mtVicunaSimple");
    my $scope = "blog:".$ctx->stash('blog_id');
    my $leftalign = $plugin->get_config_value('left_align',$scope) || 0;
    return $leftalign;
}

sub if_use_slimbox {
    my ( $ctx, $args, $cond ) = @_;
    my $plugin = MT->component("mtVicunaSimple");
    my $scope = "blog:".$ctx->stash('blog_id');
    my $slimbox = $plugin->get_config_value('use_slimbox',$scope) || 1;
    return $slimbox;
}

sub _asset_options_image {
    my ( $cb, $app, $param, $tmpl ) = @_;
    my $asset_id = $param->{asset_id} or return;
    my $asset = MT::Asset->load( $asset_id ) or return;
    my $el = $tmpl->getElementById('image_alignment')
        or return;
    my $opt = $tmpl->createElement('app:setting', {
        id => 'insert_lightbox',
        label => MT->translate('Lightbox'),
        label_class => 'no-header',
        hint => '',
        show_hint => 0,
    });
    $opt->innerHTML(<<HTML);
    <input type="checkbox" id="insert_lightbox" name="insert_lightbox"
        value="1"<mt:if name="make_thumb"> checked="checked" </mt:if> />
    <label for="insert_lightbox"><__trans phrase='Use Slimbox'></label>
HTML
    $tmpl->insertBefore($opt, $el);
    $tmpl->rescan();
}

sub _asset_insert_param {
    my ( $cb, $app, $param, $tmpl ) = @_;
    my $upload_html = $param->{ upload_html };
    if ( $app->param('insert_lightbox') ) {
        $upload_html =~ s/<a/<a rel="lightbox"/i;
    }
    $param->{ upload_html } = $upload_html;
}

1;